# Akamai\Open\EdgeGrid\Handler\Authentication::createFromEdgeRcFile

####

## Signature

`public function createFromEdgeRcFile([string $section = "default", [ $file = null]] )`

## Parameters

`$section` — string
`$file` —

## Test Coverage

### Information

- Coverage: 4/4 Lines (100%)
- Tests: 4
- Passed: 4 (100%)

### Tests

- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\AuthenticationTest::testCreateFromEdgeRc with data set #0
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\AuthenticationTest::testCreateFromEdgeRc with data set #1
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\AuthenticationTest::testCreateFromEdgeRc with data set #2
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\AuthenticationTest::testCreateFromEdgeRc with data set #3